Subject: Re: Better cooperation between checkouts and stashing

From: Markus Elfring <[email-masked]>
Date: Sat, 27 Feb 2010 22:33:11 +0100

> If you are starting from "if your work tree is dirty, you MUST stash
> before checking out another branch", the suggestion is understandable.
> But the thing is, that starting point is not quite correct.

Does an option exist for the command "git checkout" to return to the specified
branch without modifications in one step?
When will it not be needed to reset the work tree to the last corresponding commit?

Regards,
Markus